View Issue Details

IDProjectCategoryLast Update
0020921AI War 2[All Projects] Bug - GameplayApr 18, 2019 1:26 pm
ReporterQuicunqueAssigned Tox4000Bughunter 
Severityminor 
Status closedResolutionfixed 
Product Version0.812 Hunting Ninjas and Desyncs 
Fixed in VersionBETA 0.850 The Arrival of Fleets 
Summary0020921: Danger! Current Frame Number Changed
DescriptionReceived the following Error alert during gameplay. It did not seem to affect the game, however. The pertinent section of the DebugLog is uploaded. If you need a gamesave, let me know.
------------------------------------------------------------

Danger! CurrentFrameNumber changed from 809475 to 809476 during strengthCountingContext!

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.InnerRun () [0x00000] in <e818759901094a3faada45ad9d0cc402>:0
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <e818759901094a3faada45ad9d0cc402>:0
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
TagsNo tags attached.

Activities

Quicunque

Feb 8, 2019 7:55 pm

reporter  

20190208194258 (4,488 bytes)
2/8/2019 6:52:00 PM	Current directory used: /home/ctrouten/.local/share/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: /home/ctrouten/.local/share/Steam/steamapps/common/AI War 2/PlayerData/
2/8/2019 6:52:00 PM	Resolution changed to fullscreen 768x1024
2/8/2019 6:52:00 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
2/8/2019 6:52:00 PM	Applied Framerate Type: 144 FPS (vsync: 0 targetFPS:144)
2/8/2019 6:52:10 PM	ArcenAssetBundleCache.InstantiatedObjects: 777
2/8/2019 6:52:11 PM	Game Version: 0.812
graphicsDeviceType in use: OpenGLCore
graphicsDeviceVersion in use: OpenGL 4.5 (Core Profile) Mesa 18.2.2
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Linux 4.15 Ubuntu 18.04 64bit
graphicsDeviceName: Mesa DRI Intel(R) HD Graphics 630 (Kaby Lake GT2) 
graphicsDeviceID: 22811
graphicsDeviceVendor: Intel Open Source Technology Center
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: OpenGL 4.5 (Core Profile) Mesa 18.2.2
graphicsMemorySize: 512
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i7-7700HQ CPU @ 2.80GHz
processorCount: 8
processorFrequency: 3551
systemMemorySize: 15792
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: False
2/8/2019 6:52:11 PM	10.6 seconds total load time.

LoadFinalSFXStuff (6.4s)
PlanetDefinitionTable (0.3s)
GameEntityTypeDataTable.InitVisualBits (1.3s)
SurrogateTableTable (0.4s)
2/8/2019 6:52:11 PM
Hello Steam user 'ctrouten'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

2/8/2019 6:52:33 PM	Successfully opened host socket
2/8/2019 7:42:58 PM
Danger! CurrentFrameNumber changed from 809475 to 809476 during strengthCountingContext!

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.InnerRun () [0x00000] in <e818759901094a3faada45ad9d0cc402>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <e818759901094a3faada45ad9d0cc402>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

20190208194258 (4,488 bytes)

x4000Bughunter

Apr 18, 2019 1:26 pm

administrator   ~0051090

I'm sure this can still happen, but we'll need new savegames post-0.850. Everything has changed a ton and so any hunting would best be done in a new ticket, I think.

Issue History

Date Modified Username Field Change
Feb 8, 2019 7:55 pm Quicunque New Issue
Feb 8, 2019 7:55 pm Quicunque File Added: 20190208194258
Feb 9, 2019 12:34 am BadgerBadger Assigned To => x4000Bughunter
Feb 9, 2019 12:34 am BadgerBadger Status new => assigned
Apr 18, 2019 1:26 pm x4000Bughunter Status assigned => closed
Apr 18, 2019 1:26 pm x4000Bughunter Resolution open => fixed
Apr 18, 2019 1:26 pm x4000Bughunter Fixed in Version => BETA 0.850 The Arrival of Fleets
Apr 18, 2019 1:26 pm x4000Bughunter Note Added: 0051090